﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.IO;
using System.Linq;
using System.Runtime.CompilerServices;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace App15
{
    // Learn more about making custom code visible in the Xamarin.Forms previewer
    // by visiting https://aka.ms/xamarinforms-previewer
    [DesignTimeVisible(false)]
    public partial class MainPage : ContentPage
    {
        ObservableCollection<_Model> data;
        public MainPage()
        {
            InitializeComponent();

            data = new ObservableCollection<_Model>();

            listview.ItemsSource = data;
        }

        private  void Button_Clicked(object sender, EventArgs e)
        {
            List<byte[]> imageByteArray = DependencyService.Get<IGetIMageFiles>().getImages();

            foreach (var item in imageByteArray)
            {
                data.Add(new _Model { Img = ImageSource.FromStream(() => new MemoryStream((byte[])item)) });
            }
        }
    }

    public class _Model : INotifyPropertyChanged
    {
        private ImageSource img;
        public ImageSource Img
        {
            get
            {
                return img;
            }
            set
            {
                if (img != value)
                {
                    img = value;
                    NotifyPropertyChanged();
                }
            }
        }
        protected virtual void NotifyPropertyChanged([CallerMemberName] string propertyName = "")
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
        }
        public event PropertyChangedEventHandler PropertyChanged;
    }
}
